ACS Upgrade Path

Answered Question
Jul 29th, 2008

I'm running ACS 3.0(2) Build 5.

Can someone tell me it's possible to upgrade directly from ACS 3.0 to the TRIAL version of 4.2 without losing the username/pw, group settings, database and configuration?

I'm looking to upgrade immediately b/c of some problems and then go through with the actual purchase of the ACS 4.2 after it's approved internally.

Thanks,

Jason

I have this problem too.
0 votes
Correct Answer by Jagdeep Gambhir about 8 years 4 months ago

TAC ;-)

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 5 (1 ratings)
Loading.
Jagdeep Gambhir Tue, 07/29/2008 - 09:03

Your upgrade path would be

3.0.2---->3.0.4---->3.3.3---->4.1--->4.2

During each upgrade it will ask you if you want to keep existing database. Make sure to enable it , else you will loose all data.

Also before upgrade make sure you have recent acs backup

Regards,

~JG

Do rate helpful posts

jaye15394 Tue, 07/29/2008 - 09:07

JG,

Thanks for your response.

Can you confirm I need all those interim steps?

I found this on the Q&A page on Cisco's site:

If you are a current Cisco Secure ACS customer with Cisco Secure ACS 1.x, 2.x, or 3.x for Windows, purchase part number CSACS-4.2-WINUP-K9.

Also, do you know these upgrades can be performed with the trial versions?

Thanks,

JAYE

jaye15394 Wed, 07/30/2008 - 12:26

I've found docs on the upgrade but don't see the 3.0.4 step. Do you have any docs stating 3.0.4 is required to go to 3.3.3.

From the 4.1 Install Guide:

For releases of ACS prior to ACS 3.3.3, you must first upgrade to ACS 3.3.3, then upgrade to ACS 4.1.

THANKS!

jaye15394 Thu, 07/31/2008 - 07:30

I have and it doesn't mention 3.0.4.

If you see it, please forward that snipit with link to the doc. It would be much appreciated.

Thanks.

jaye15394 Thu, 07/31/2008 - 12:49

JG,

Your posts have been great so far. Thanks much. I'm hoping this is the last question. Will def give you a good rating!

I'm looking to purchase the upgrade SKU, CSACS-4.2-WINUP-K9, to upgrade from 3.0.2 to 4.2 and preserving the database. However, we don't have all the revs needed, i.e. 3.0.4, 3.3.3 and 4.1.

Do you know if the upgrade package includes all of these software revs? If not, how do we obtain these? Any insight would be greatly appreciated.

Thanks!

Jagdeep Gambhir Thu, 07/31/2008 - 13:17

Easy and best way here would be to open a TAC case and they will upgrade your data to latest code.

Regards,

~JG

jaye15394 Thu, 07/31/2008 - 14:00

Understood. Current 3.0.2 is no longer under contract and I cannot open a case so that is not an option.

Just find it strange all those releases are required for an upgrade, so I need to confirm it's possible to get those releases, otherwise it'd be pointless to even pursue.

Jagdeep Gambhir Thu, 07/31/2008 - 14:05

That does not matter. Your 4.2 is in contract. TAC will surely help you with upgrade.

The reason we need to do this is because there are many changes in database structure.

Like 3.x is based on registry but 4.x is not. Due to change in this data structure we need to upgrade it step by step.

If you don't need data then you can install 4.2 right away.

Actions

This Discussion